#include<fstream>
using namespace std;
long long max(long long a,long long b)
{
	return(a>=b)?a:b;
}
int main()
{
	ifstream f1("KQBONGDA.INP");
	long long n;
	long long i,j,k;
	f1>>n;
	long long a[n][n];
	long long sum[n];
	long long win[n];
	long long draw[n];
	long long lose[n];
	for(i=0;i<n;i++)
	{
		sum[i]=0;
		win[i]=0;
		draw[i]=0;
		lose[i]=0;
	}
	for(i=0;i<n;i++)
	{
		for(j=0;j<n;j++)
		{
			f1>>a[i][j];
			if(i!=j)
			{
				if(a[i][j]==3) win[i]++;
				if(a[i][j]==1) draw[i]++;
				if(a[i][j]==0) lose[i]++;		
			}
			sum[i]+=a[i][j];
		}
	}
	long long m=sum[0];
	for(i=0;i<n;i++)
	{
		m=max(m,sum[i]);
	}
	for(i=0;i<n;i++)
	{
		if(sum[i]==m)
		{
			k=i;
			break;
		}
	}
	f1.close();
	ofstream f2("KQBONGDA.OUT");	
	f2<<k+1<<' '<<sum[k]<<' '<<win[k]<<' '<<draw[k]<<' '<<lose[k]<<endl;
	for(i=0;i<n;i++)
	{
		if(win[i]>lose[i]) f2<<i+1<<' ';
	}
	f2<<endl;
	for(i=0;i<n;i++)
	{
		if(lose[i]==0) f2<<i+1<<' ';
	}
	f2.close();
	return 0;
}

